import * as react from 'react';

interface OptionProps<V> extends React.HTMLAttributes<HTMLLIElement> {
    option: V;
    label: string;
    state: {
        selected: boolean;
        disabled: boolean;
        focused: boolean;
    };
    onSelect: () => void;
    onHover: () => void;
    'data-disabled': boolean;
    'data-selected': boolean;
    'data-focused': boolean;
    key: string;
}
declare const Option: react.ForwardRefExoticComponent<OptionProps<object> & {
    children?: React.ReactNode;
} & react.RefAttributes<HTMLLIElement>>;

export { Option, type OptionProps };
